@echo off
verify # 2>nul
setlocal enableextensions enabledelayedexpansion
if errorlevel 1 goto CANT_SWITCH_ON_EXTENDED_CMD_PROCESSING
call $SQLTRANS "(SettingsOnly)"
if !errorlevel! neq 0 goto ERROR

if "%~0"=="LIST_PROGRAMMATICS.cmd" goto START
cls

echo PROGRAMMATIC LIST OBTAINMENT ():
echo ίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίί
echo.
echo ώ SQL-server  : !$sql_server!
echo ώ SQL-database: !$sql_database!
echo.
echo ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
echo ΝΝ STARTING THE SCRIPT(S) ON SQL-SERVER: ΝΝΝ (TRANSLATION CONFIRMATION) ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
echo.
call $CONFIRMPAUSE.cmd
if !errorlevel! neq 0 goto ERROR

:START
call $SQLTRANS.cmd "list_programmatics.sql" "#programmatics.txt"
if !errorlevel! neq 0 goto FAILURE

:SUCCESS
if "%~0"=="LIST_PROGRAMMATICS.cmd" goto FINISH
echo.
echo άάά LIST PROGRAMMATICS ΔΔ SUCCESS άάά
goto FINISH

:FAILURE
if "%~0"=="LIST_PROGRAMMATICS.cmd" goto ERROR
echo.
echo άάά ## LIST PROGRAMMATICS ΔΔ FAILURE άάά
goto ERROR

::==================================================================================================

:CANT_SWITCH_ON_EXTENDED_CMD_PROCESSING
echo.
echo ## Can not switch on extended command processing.
goto ERROR

::==================================================================================================
:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF
::==================================================================================================
:ERROR
if not "%~0"=="LIST_PROGRAMMATICS.cmd" (
echo 
if not "%$cmd_plain%"=="1" pause )
endlocal
verify # 2>nul
goto :EOF
:FINISH
endlocal
if not "%~0"=="LIST_PROGRAMMATICS.cmd" (
echo.
if not "%$cmd_plain%"=="1" pause )
call :RESET_ERROR
goto :EOF
::==================================================================================================
